const express = require('express');
const cors = require('cors');  // 引入 cors 库
const app = express();

app.use(cors());

// 解析 JSON 请求体
app.use(express.json());

// 收集前端 JavaScript 日志的接口
app.post('/log', (req, res) => {
  const logData = req.body;

  // 在控制台输出日志数据
  console.log('Received log:', logData);
  res.setHeader('Content-Type', 'application/json');
  // 返回成功响应
  res.status(200).json({ code:0, data:'', message: 'ok' });
});

// 启动服务，监听 3000 端口
const PORT = 3006;
app.listen(PORT, () => {
  console.log(`Server running on http://localhost:${PORT}`);
});